lundi 12 mars 2012

Installing Blitz templating engine for PHP 5.4

Earlier today I wanted to install the Blitz templating engine on my brand new PHP5.4.
The docs say to do:
make install
However, make complains about safe_mode.h not being found and the compiling fails.
That's logical because safe_mode was removed from php 5.4.

There's an easy workaround: comment out or remove the #include "safe_mode.h" line from the blitz.c file and then run make install

Running the tests with will show you everything works fine.

BTW, the stable version (0.6.10 at the time of this writing) won't compile at all, you'll need to install the development version ( with PHP 5.4.